Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemPoolImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.ItemPoolImpl

All Implemented Interfaces
  ItemPool, Pool

Deprecated

    @Deprecated
    public class ItemPoolImpl

extends Object
implements ItemPool

Represents a collection of PoolObject(s). The ItemPoolImpl interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Field Summary
`static int` | `INIT_MAP_SIZE` Deprecated
`static int` | `LONG` Deprecated
`static int` | `SHORT` Deprecated

Constructor Summary
`ItemPoolImpl(ItemObjectFactory factory)` Deprecated
`ItemPoolImpl(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated

Method Summary
`void` | `adjust(List poolObjects, AdjustmentDetail aDetail)` Deprecated
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)` Deprecated
`static String` | `catMapToString(Map map, int size, int type)` Deprecated
`PoolQuery` | `getByPrice(PoolQuery query)` Deprecated Perform the query as specified by the query object passed in and return the query object with the results added.
`String` | `getCurrency()` Deprecated
`Map` | `getCurrentMap()` Deprecated Returns the set of objects that make up the pool.
`int` | `getCurrentSize()` Deprecated
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object discountID)` Deprecated
`Quote` | `getQuote()` Deprecated
`static String` | `itemMapToString(Map map)` Deprecated
`static String` | `mapToString(Map map)` Deprecated
`static String` | `productItemListToString(List list)` Deprecated
`void` | `remove(Iterator poolObjects)` Deprecated
`void` | `remove(PoolObject poolObject)` Deprecated
`void` | `set(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated
`void` | `set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated
`static String` | `skuMapToString(Map map, int size, int type)` Deprecated
`String` | `toString()` Deprecated
`String` | `toString(int type)` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHORT

    public static final int SHORT

  Deprecated
  See Also
    Constants Summary

### LONG

    public static final int LONG

  Deprecated
  See Also
    Constants Summary

### INIT_MAP_SIZE

    public static final int INIT_MAP_SIZE

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory)

  Deprecated

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory,
                        com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                        Quote quote)
                 throws RemoteException,
                        CatalogFinderException,
                        CatalogException

  Deprecated
  Throws
    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

Method Detail

### set

    public void set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws RemoteException,
                    CatalogFinderException,
                    CatalogException

  Deprecated
  Throws
    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

### set

    public void set(ItemObjectFactory factory,
                    com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws RemoteException,
                    CatalogFinderException,
                    CatalogException

  Deprecated
  Throws
    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

### remove

    public void remove(Iterator poolObjects)

  Deprecated
  Specified by:
    `remove` in interface `Pool`
  Parameters
    `List` - a set of PoolObjects to be removed from the collection.
  See Also
    `PoolObject`

### remove

    public void remove(PoolObject poolObject)

  Deprecated
  Specified by:
    `remove` in interface `Pool`
  Parameters
    `PoolObject` - the object to be removed from the collection.
  See Also
    `PoolObject`

### getCurrentSize

    public int getCurrentSize()

  Deprecated
  Specified by:
    `getCurrentSize` in interface `ItemPool`

### getQuote

    public Quote getQuote()

  Deprecated
  Specified by:
    `getQuote` in interface `ItemPool`

### getCurrency

    public String getCurrency()

  Deprecated
  Specified by:
    `getCurrency` in interface `Pool`

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      String computation,
                                      String reason,
                                      Object discountID)

  Deprecated
  Specified by:
    `getDetail` in interface `Pool`

### getByPrice

    public PoolQuery getByPrice(PoolQuery query)

  Deprecated
  Perform the query as specified by the query object passed in and return the query object with the results added. If the query is satisfied the list of reply sets must have a 1 to 1 correspondence between each query spec for the qualifier or target.

  Specified by:
    `getByPrice` in interface `ItemPool`

### adjust

    public void adjust(PoolObject object,
                       AdjustmentDetail aDetail)

  Deprecated
  Specified by:
    `adjust` in interface `Pool`

### adjust

    public void adjust(List poolObjects,
                       AdjustmentDetail aDetail)

  Deprecated
  Specified by:
    `adjust` in interface `Pool`

### getCurrentMap

    public Map getCurrentMap()

  Deprecated
  Description copied from interface: `ItemPool`
  Returns the set of objects that make up the pool.

  Specified by:
    `getCurrentMap` in interface `ItemPool`
  Returns
    List returns the collection of ItemPoolObjects that make up the pool.
  See Also
    `ItemObject`

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### toString

    public String toString(int type)

  Deprecated
  Specified by:
    `toString` in interface `ItemPool`

### mapToString

    public static String mapToString(Map map)

  Deprecated

### itemMapToString

    public static String itemMapToString(Map map)

  Deprecated

### skuMapToString

    public static String skuMapToString(Map map,
                                        int size,
                                        int type)

  Deprecated

### catMapToString

    public static String catMapToString(Map map,
                                        int size,
                                        int type)

  Deprecated

### productItemListToString

    public static String productItemListToString(List list)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.